# Uses of Interface
org.eclipse.emf.cdo.lm.assembly.Assembly

Packages that use Assembly
Package
Description
org.eclipse.emf.cdo.lm.assembly
The generated EMF API of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.impl
The generated EMF implementation of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.util
The generated EMF utilities of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of Assembly in org.eclipse.emf.cdo.lm.assembly

Methods in org.eclipse.emf.cdo.lm.assembly that return Assembly
Modifier and Type
Method
Description
`Assembly`
AssemblyFactory.`createAssembly()`
Returns a new object of class 'Assembly'.
`Assembly`
AssemblyModule.`getAssembly()`
Returns the value of the 'Assembly' container reference.
Methods in org.eclipse.emf.cdo.lm.assembly with parameters of type Assembly
Modifier and Type
Method
Description
`boolean`
Assembly.`compareTo(Assembly newAssembly, Assembly.DeltaHandler handler)`
`void`
AssemblyModule.`setAssembly(Assembly value)`
Sets the value of the '`Assembly`' container reference.

## Uses of Assembly in org.eclipse.emf.cdo.lm.assembly.impl

Classes in org.eclipse.emf.cdo.lm.assembly.impl that implement Assembly
Modifier and Type
Class
Description
`class`
`AssemblyImpl`
An implementation of the model object 'Assembly'.
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return Assembly
Modifier and Type
Method
Description
`Assembly`
AssemblyFactoryImpl.`createAssembly()`
`Assembly`
AssemblyModuleImpl.`getAssembly()`
Methods in org.eclipse.emf.cdo.lm.assembly.impl with parameters of type Assembly
Modifier and Type
Method
Description
`NotificationChain`
AssemblyModuleImpl.`basicSetAssembly(Assembly newAssembly, NotificationChain msgs)`
`boolean`
AssemblyImpl.`compareTo(Assembly newAssembly, Assembly.DeltaHandler handler)`
`void`
AssemblyModuleImpl.`setAssembly(Assembly newAssembly)`

## Uses of Assembly in org.eclipse.emf.cdo.lm.assembly.util

Methods in org.eclipse.emf.cdo.lm.assembly.util with parameters of type Assembly
Modifier and Type
Method
Description
`T`
AssemblySwitch.`caseAssembly(Assembly object)`
Returns the result of interpreting the object as an instance of 'Assembly'.

## Uses of Assembly in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Assembly
Modifier and Type
Method
Description
`Assembly`
IAssemblyDescriptor.`getAssembly()`
`Assembly`
ISystemDescriptor.`resolve(ModuleDefinition rootDefinition, Baseline baseline, IProgressMonitor monitor)`